#
# spec file for package engine_pkcs11
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           engine_pkcs11
Version:        0.1.8
Release:        19.3
Url:            http://www.opensc-project.org/engine_pkcs11/
Summary:        OpenSSL PKCS#11 Engine
License:        BSD-3-Clause
Group:          Productivity/Security
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}-COPYING
BuildRequires:  libp11-devel >= 0.2.5
BuildRequires:  libxslt
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Engine_pkcs11 is an implementation of an engine for OpenSSL. It can be
loaded using code, a configuration file, or the command line and passes
any function call by openssl to a PKCS#11 module. Engine_pkcs11 is
meant to be used with smart cards and software for using smart cards in
PKCS#11 format, such as OpenSC. Originally, this engine was part of
OpenSC until OpenSC was split into several small projects to improve
flexibility.

%prep
%setup -q
cp -a %{S:1} COPYING

%build
%configure\
	--enable-doc\
	--docdir=%{_docdir}/%{name}\
	--disable-static
make %{?_smp_mflags}

%install
%makeinstall
cp COPYING doc/nonpersistent/ChangeLog $RPM_BUILD_ROOT%{_docdir}/%{name}/

%files
%defattr (-, root, root)
%doc %{_docdir}/%{name}
%dir %{_libdir}/engines/
%{_libdir}/engines/*.so

%changelog
* Mon Feb 11 2013 coolo@suse.com
- remove broken library require
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant/obsolete tags/sections from specfile
  (cf. packaging guidelines)
- Use %%_smp_mflags for parallel build
* Thu Dec 16 2010 aj@suse.de
- Fix specfile to own directory.
- Update to version 0.1.8:
  * Fix problem causing slot_n parsing returning not certs or keys
    (obsoletes patch search-certs-by-label.patch)
  * Fix missing declaration of set_init_args symbol
    (obsoletes patch engine_pkcs11-implicit-decl.patch)
  * Buffer overrun fixed (obsoletes patch fix-pin-memory-corruption.patch)
* Wed Aug  5 2009 sbrabec@suse.cz
- Updated to version 0.1.6:
  * Fixed set_pin (strdup causes segfault in OPENSSL_CLEANSE later)
  * Require new libp11 0.2.5 with new function to get the slot id.
  * Revert changes to slot parsing code - seems partial bogus and
    orginal author doesn't respond to questions.
  * print slot id in verbose mode.
* Mon Nov 10 2008 tambet@novell.com
- Fix segfaults on unloading the engine.
- Implement getting certificates by label.
* Mon Sep  8 2008 sbrabec@suse.cz
- Updated to version 0.1.5:
  * Build system rewritten.
  * cleanup pin code, always use MAX_PIN_LENGTH, proper cleanup.
  * new use PKCS11_CTX_init_args
  * fix segfault in init_args code.
  * needs new version of libp11
* Tue Jul 31 2007 sbrabec@suse.cz
- Updated to version 0.1.4:
  * disabled some dead code.
  * new max length for pin: 32 bytes.
  * make internal variables and code static.
  * parse slot as hex too.
  * support selecting slot by label.
* Mon May 15 2006 sbrabec@suse.cz
- New SuSE package, version 0.1.3.
